Package uk.ac.starlink.vo

## Interface AdqlExample

- All Known Implementing Classes:
    `AbstractAdqlExample`, `DataModelAdqlExample`

      public interface AdqlExample

  Represents a type of example ADQL query. The query text can be generated as a function of given service metadata.
  Since:
    29 Mar 2011
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription​()` | Returns this example's description.
    `java.net.URL` | `getInfoUrl​()` | Returns a documentation URL associated with this example if available.
    `java.lang.String` | `getName​()` | Returns this example's name.
    `java.lang.String` | `getText​(boolean lineBreaks, java.lang.String lang, TapCapability tcap, TableMeta[] tables, TableMeta table)` | Produces ADQL text for a query of the type represented by this object, for a given set of service details.

- - ### Method Detail

    - #### getText

          java.lang.String getText​(boolean lineBreaks,
                                   java.lang.String lang,
                                   TapCapability tcap,
                                   TableMeta[] tables,
                                   TableMeta table)

      Produces ADQL text for a query of the type represented by this object, for a given set of service details.
      Parameters:
        `lineBreaks` - whether output ADQL should include multiline formatting
        `lang` - ADQL language variant (e.g. "ADQL-2.0")
        `tcap` - TAP capability object
        `tables` - table metadata set
        `table` - currently selected table
      Returns:
        example text, or null if no example can be constructed given the input values

    - #### getName

          java.lang.String getName​()

      Returns this example's name.
      Returns:
        name

    - #### getDescription

          java.lang.String getDescription​()

      Returns this example's description.
      Returns:
        short description

    - #### getInfoUrl

          java.net.URL getInfoUrl​()

      Returns a documentation URL associated with this example if available.
      Returns:
        documentation URL (suitable for browser display), or null

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.